<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for localRouteGroup StructType
 * @subpackage Structs
 */
class LocalRouteGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $name;
    /**
     * The value
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $value;
    /**
     * The description
     * @var string
     */
    public $description;
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The newDescription
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newDescription;
    /**
     * Constructor method for localRouteGroup
     * @uses LocalRouteGroup::setName()
     * @uses LocalRouteGroup::setValue()
     * @uses LocalRouteGroup::setDescription()
     * @uses LocalRouteGroup::setNewName()
     * @uses LocalRouteGroup::setNewDescription()
     * @param string $name
     * @param string $value
     * @param string $description
     * @param string $newName
     * @param string $newDescription
     */
    public function __construct($name = null, $value = null, $description = null, $newName = null, $newDescription = null)
    {
        $this
            ->setName($name)
            ->setValue($value)
            ->setDescription($description)
            ->setNewName($newName)
            ->setNewDescription($newDescription);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LocalRouteGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get value value
     * @return string|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param string $value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LocalRouteGroup
     */
    public function setValue($value = null)
    {
        $this->value = $value;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LocalRouteGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LocalRouteGroup
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get newDescription value
     * @return string|null
     */
    public function getNewDescription()
    {
        return $this->newDescription;
    }
    /**
     * Set newDescription value
     * @param string $newDescription
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LocalRouteGroup
     */
    public function setNewDescription($newDescription = null)
    {
        $this->newDescription = $newDescription;
        return $this;
    }
}
